Package com.germinus.easyconf.taglib

# Class ConfigurationObjectTag

BodyTagSupport
com.germinus.easyconf.taglib.ConfigurationObjectTag

public class ConfigurationObjectTag extends BodyTagSupport
Read a configuration property and expose it as a page variable and attribute Examples of use: >%@ taglib uri="/WEB-INF/tld/easyconf.tld" prefix="easyconf" %> >easyconf:configurationObject id="dbConf" component="test_module" type="com.germinus.easyconf.example.DatabaseConf"/> >bean:write name="dbConf" property="tables"/>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`component`
`protected String`
`id`
`protected String`
`type`

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationObjectTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doAfterBody()`
Save the body content of this tag (if any), or throw a JspException if the value was already defined.
`int`
`doEndTag()`
Retrieve the required property and expose it as a scripting variable.
`int`
`doStartTag()`
Check if we need to evaluate the body of the tag
`String`
`getComponent()`
`String`
`getId()`
`String`
`getType()`
`void`
`release()`
`void`
`setComponent(String component)`
`void`
`setId(String id)`
`void`
`setType(String type)`

## Field Details

### id

protected String id

### component

protected String component

### type

protected String type

## Constructor Details

### ConfigurationObjectTag

public ConfigurationObjectTag()

## Method Details

### getId

public String getId()

### setId

public void setId(String id)

### getComponent

public String getComponent()

### setComponent

public void setComponent(String component)

### getType

public String getType()

### setType

public void setType(String type)

### doStartTag

public int doStartTag() throws JspException
Check if we need to evaluate the body of the tag

### doAfterBody

public int doAfterBody() throws JspException
Save the body content of this tag (if any), or throw a JspException if the value was already defined.

### doEndTag

public int doEndTag() throws JspException
Retrieve the required property and expose it as a scripting variable.

### release

public void release()